nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Protected Member Functions | List of all members
nx::sdk::SettingsResponse Class Reference
Inheritance diagram for nx::sdk::SettingsResponse:

## Public Member Functions
| SettingsResponse (Ptr< StringMap > values, Ptr< StringMap > errors=nullptr, Ptr< String > model=nullptr)
void | setValue (std::string key, std::string value)
void | setError (std::string key, std::string value)
void | setValues (Ptr< StringMap > values)
void | setErrors (Ptr< StringMap > errors)
void | setModel (Ptr< String > model)
void | setModel (std::string model)
Public Member Functions inherited from nx::sdk::RefCountable< ISettingsResponse >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::ISettingsResponse
Ptr< IString > | model () const
Public Member Functions inherited from nx::sdk::Interface< ISettingsResponse, ISettingsResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::ISettingsResponse0
Ptr< IStringMap > | values () const
Ptr< IStringMap > | errors () const
Public Member Functions inherited from nx::sdk::Interface< ISettingsResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Protected Member Functions
virtual IStringMap * | getValues () const override
virtual IStringMap * | getErrors () const override
virtual IString * | getModel () const override
Protected Member Functions inherited from nx::sdk::Interface< ISettingsResponse, ISettingsResponse0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Protected Member Functions inherited from nx::sdk::Interface< ISettingsResponse0 >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::ISettingsResponse
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::ISettingsResponse0
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ getErrors()

IStringMap * nx::sdk::SettingsResponse::getErrors | ( |  | ) | const
| overrideprotectedvirtual

Called by errors()

Implements nx::sdk::ISettingsResponse0.

## ◆ getModel()

IString * nx::sdk::SettingsResponse::getModel | ( |  | ) | const
| overrideprotectedvirtual

Called by model()

Implements nx::sdk::ISettingsResponse.

## ◆ getValues()

IStringMap * nx::sdk::SettingsResponse::getValues | ( |  | ) | const
| overrideprotectedvirtual

Called by values()

Implements nx::sdk::ISettingsResponse0.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/settings_response.h
- src/nx/sdk/helpers/settings_response.cpp